%define name	xmms-kde
%define version	3.1
%define release 1mdk

Summary:	An MP3 player integrated into the KDE panel
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
Source0:	http://osdn.dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
#Patch:		xmms-kde-3.0.0-memleak.patch.bz2
URL:		http://xmms-kde.sourceforge.net/
BuildRequires:	kdelibs-devel >= 3.0.0 
BuildRequires:	smpeg-devel xmms-devel
#gw: for /usr/bin/noatun
BuildRequires:	kdemultimedia
Requires:	xmms
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{name} is a MP3 player integrated into the KDE panel.
It can also be used to control XMMS and Noatun from the panel.

Features:

* start/pause/stop the player
* jump back/forward in the playlist
* drag'n'drop MP3s from the filemanager
* on-screen-display to show the title of the song that starts playing

You can do most of these things by using the mouse or customizable
keyboard shortcuts.

%prep
%setup -q
#%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	 --build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama
#makes compile fail
#		--enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL MISSING README TODO VERSION doc/themes.txt
%doc %_datadir/doc/HTML/en/xmms-kde/
%{_libdir}/kde3/libxmmskde*
%{_datadir}/apps/xmms-kde
%{_datadir}/apps/kicker/applets/xmms-kde.desktop

%changelog
* Sat Dec 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.1.0-1mdk
- 3.1
- drop prefix tag
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- configure options
- drop patch

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.0.0-4mdk
- remove some useless buildrequires
- patch from Nicolas Pomarede to fix a memory leak

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.0.0-3mdk
- fix buildrequires
- fix directory ownership

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.0.0-2mdk
- add missing files
- fix buildrequires

* Mon Nov 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.0.0-1mdk
- fix file list
- fix build
- updated spec file from David Walluck <david@anti-microsoft.org> 

* Fri Oct 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-5mdk
- rebuild against new libpng

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-4mdk
- rebuild

* Wed Aug 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.5-3mdk
- fix

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.6.5-2mdk
- rebuild
- split in two separate packages : xmms-kde and libxmms-kde

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- updated to 0.6.5

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.0-3mdk
- Rebuild against Qt 2.3.0

* Thu Feb 22 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.0-2mdk
- Rebuild with libmng1

* Thu Jan 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- used srpm from Anders Lund <anders@alweb.dk> 
        - initial mandrake rpm
